﻿using System;
using System.Xml.Linq;

namespace Billing.Models;

public class Billing : BaseModel
{
    public decimal Amount { get; set; }
    public string Name { get; set; }
    public int CategoryId { get; set; }
    public string Store { get; set; }
    public DateTime CreateTime { get; set; }

    public override void OnXmlDeserialize(XElement node)
    {
        Amount = Read(node, nameof(Amount), 0m);
        Name = Read(node, nameof(Name), string.Empty);
        CategoryId = Read(node, nameof(CategoryId), -1);
        Store = Read(node, nameof(Store), string.Empty);
        CreateTime = Read(node, nameof(CreateTime), default(DateTime));
    }

    public override void OnXmlSerialize(XElement node)
    {
        Write(node, nameof(Amount), Amount);
        Write(node, nameof(Name), Name);
        Write(node, nameof(CategoryId), CategoryId);
        Write(node, nameof(Store), Store);
        Write(node, nameof(CreateTime), CreateTime);
    }
}
