﻿using System;
using Xamarin.Forms;

namespace Billing.UI;

public class TintImage : Image
{
    public static readonly BindableProperty PrimaryColorProperty = BindableProperty.Create(nameof(PrimaryColor), typeof(Color?), typeof(TintImage));

    public Color? PrimaryColor
    {
        get => (Color?)GetValue(PrimaryColorProperty);
        set => SetValue(PrimaryColorProperty, value);
    }
}

public class LongPressButton : Button
{
    public event EventHandler LongPressed;

    public LongPressButton()
    {
        Padding = 0;
        BackgroundColor = Color.Transparent;
    }

    public void TriggerLongPress()
    {
        LongPressed?.Invoke(this, EventArgs.Empty);
    }
}
